# Application services

- [apache](apache/README.md): Apache as web server
- base:
  - [base](base/README.md): Base of all application services
  - [base-debian](base-debian/README.md): Base information of a Debian server
  - [base-debian-bullseye](base-debian-bullseye/README.md): Base information of a Debian Bulleye server
  - [base-fedora](base-fedora/README.md): Base information of a Fedora
  - [base-fedora-35](base-fedora-35/README.md): Base information of a Fedora 35
  - [base-fedora-36](base-fedora-36/README.md): Base information of a Fedora 36
  - [base-fedora-37](base-fedora-37/README.md): Base information of a Fedora 37
  - [base-machine](base-machine/README.md): Base information for a machine
- dns:
  - [dns-external](dns-external/README.md): DNS client with resolution on all zones (especially outside)
  - [dns-local](dns-local/README.md): DNS client with access to local zones
- [dovecot](dovecot/README.md): Postfix and Dovecot as mail servers (Submission and IMAP)
- [forgejo](forgejo/README.md): Forgejo, a community managed lightweight code hosting solution
- [gitea](gitea/README.md): Transitional package for Gitea to Forgejo
- [host-systemd-machined](host-systemd-machined/README.md): Host with machine started in Systemd Machined environment
- [imap-client](imap-client/README.md): Application service needs interact with an IMAP server
- [ldap-client](ldap-client/README.md): Application service needs interact with a LDAP server
- [lemonldap](lemonldap/README.md): LemonLDAP, a Web Single Sign On and Access Management
- [mailman](mailman/README.md): GNU Mailman, managing electronic mail discussion and e-newsletter lists
- mariadb:
  - [mariadb](mariadb/README.md): MariaDB, a relational database
  - [mariadb-client](mariadb-client/README.md): Application service needs interact with a MariaDB server
- [nextcloud](nextcloud/README.md): Nextcloud, Online collaboration platform
- nginx:
  - [nginx-common](nginx-common/README.md): Nginx common configuration
  - [nginx-https](nginx-https/README.md): Nginx as HTTPS web site
  - [nginx-reverse-proxy](nginx-reverse-proxy/README.md): Nginx as reverse proxy
  - [nginx-static](nginx-static/README.md): Nginx as static web site
- [nsd](nsd/README.md): NSD, an authoritative DNS name server
- [oauth2-client](oauth2-client/README.md): Application service needs interact with a Oauth2 server
- [odoo](odoo/README.md): Odoo, an ERP and CRM
- [openldap](openldap/README.md): OpenLDAP, a LDAP server
- [peertube](peertube/README.md): Peertube, a federated (ActivityPub) video streaming platform
- php:
  - [php](php/README.md): PHP, a popular general-purpose scripting language
  - [php-fpm](php-fpm/README.md): PHP FPM
- [piwigo](piwigo/README.md): Piwigo, a photo management software
- [pki-tls](pki-tls/README.md): Autosign PKI or Let's encrypt support for TLS certificates
- postfix:
  - [postfix-lmtp-relay](postfix-lmtp-relay/README.md): Postfix, the mail server, as LMTP relay
  - [postfix-relay](postfix-relay/README.md): Postfix, the mail server, as relay
- postgresql:
  - [postgresql](postgresql/README.md): Postgresql, a database
  - [postgresql-client](postgresql-client/README.md): Application service needs interact with a Postgresql server
- [provider-systemd-machined](provider-systemd-machined/README.md): Machine started in Systemd Machined environment
- redis:
  - [redis](redis/README.md): Redis, an in-memory data structure store
  - [redis-client](redis-client/README.md): Application service needs interact with a Redis server
- relay:
  - [relay-lmtp-client](relay-lmtp-client/README.md): Application service needs interact with a Postfix server with LMTP protocol
  - [relay-mail-client](relay-mail-client/README.md): Client SMTP
- [reverse-proxy-client](reverse-proxy-client/README.md): Application service needs interact with a a reverse proxy server
- [roundcube](roundcube/README.md): Roundcube, a webmail
- [speedtest-rs](speedtest-rs/README.md): Speedtest-rs, a very lightweight Speedtest
- [systemd](systemd/README.md): Systemd, a system and service manager
- [unbound](unbound/README.md): Unbound, a validating, recursive, caching DNS resolver
- [vaultwarden](vaultwarden/README.md): Vaultwarden, a password manager
- [znc](znc/README.md): ZNC, a bouncer IRC

# Providers and suppliers

- ExternalDNS:
  - Provider: [unbound](unbound/README.md)
  - Suppliers:
    - [dns-external](dns-external/README.md)
    - [nsd](nsd/README.md)
- Host:
  - Provider: [host-systemd-machined](host-systemd-machined/README.md)
  - Supplier: [provider-systemd-machined](provider-systemd-machined/README.md)
- IMAP:
  - Provider: [dovecot](dovecot/README.md)
  - Supplier: [imap-client](imap-client/README.md)
- LDAP:
  - Provider: [openldap](openldap/README.md)
  - Supplier: [ldap-client](ldap-client/README.md)
- LMTP:
  - Provider: [postfix-lmtp-relay](postfix-lmtp-relay/README.md)
  - Supplier: [relay-lmtp-client](relay-lmtp-client/README.md)
- LocalDNS:
  - Provider: [nsd](nsd/README.md)
  - Supplier: [dns-local](dns-local/README.md)
- MariaDB:
  - Provider: [mariadb](mariadb/README.md)
  - Supplier: [mariadb-client](mariadb-client/README.md)
- OAuth2:
  - Provider: [lemonldap](lemonldap/README.md)
  - Supplier: [oauth2-client](oauth2-client/README.md)
- OAuth2Client:
  - Provider: [oauth2-client](oauth2-client/README.md)
  - Supplier: [lemonldap](lemonldap/README.md)
- Postgresql:
  - Provider: [postgresql](postgresql/README.md)
  - Supplier: [postgresql-client](postgresql-client/README.md)
- Redis:
  - Provider: [redis](redis/README.md)
  - Supplier: [redis-client](redis-client/README.md)
- ReverseProxy:
  - Provider: [nginx-reverse-proxy](nginx-reverse-proxy/README.md)
  - Supplier: [reverse-proxy-client](reverse-proxy-client/README.md)
- SMTP:
  - Provider: [postfix-relay](postfix-relay/README.md)
  - Supplier: [relay-mail-client](relay-mail-client/README.md)
