---
gitea: none
include_toc: true
---

# host-systemd-machined

## Description

Host with machine started in Systemd Machined environment.

[For more informations](https://www.freedesktop.org/wiki/Software/systemd/machined/)

## Dependances

- [base](../base/README.md)

## Variables

### Général (*general*)

| Description                                                                                                           | Type                                                                                                                     | Provider                | Values   |
|-----------------------------------------------------------------------------------------------------------------------|--------------------------------------------------------------------------------------------------------------------------|-------------------------|----------|
| **Nom du répertoire comprenant les descriptions d'installation** (*[host_install_dir](dictionaries/21_machined.xml)*) | [filename](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | global:host_install_dir |          |
| **Ajustement de la mémoire virtuelle** (*[vm_swappiness](dictionaries/21_machined.xml)*)                              | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   |                         | 60       |

#### network (*general.network*)

| Description                                                                           |
|---------------------------------------------------------------------------------------|
| **Nom de l'interface de sortie** (*[output_interface](dictionaries/21_machined.xml)*) |

##### interfaces (*general.network.interfaces*)

This a family is a leadership.

| Description                                                                                   | Type                                                                                                                   | Choices        |
|-----------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------|----------------|
| **Nom de l'interface** (*[interface_names](dictionaries/21_machined.xml)*) [+]                | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |                |
| **Type de la carte** (*[interface_type](dictionaries/21_machined.xml)*)                       | [choice](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | dhcp<br />ipv4 |
| **IP au format CIDR de l'interface** (*[interface_ip](dictionaries/21_machined.xml)*)         | [cidr](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   |                |
| **IP de la route par défaut** (*[interface_gateway](dictionaries/21_machined.xml)*)           | [ip](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     |                |
| **IP des serveurs DNS** (*[interface_domain_name_servers](dictionaries/21_machined.xml)*) [+] | [ip](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     |                |

### Machined (*machined*)

| Description                                                                       | Type                                                                                                                       | Provider   |
|-----------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|------------|
| Machines started in this host (*[machines](extras/machined/00_machined.xml)*) [+] | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Host       |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Supplier

[provider-systemd-machined](../provider-systemd-machined/README.md)

[All applications services for this dataset.](../README.md)
