---
gitea: none
include_toc: true
---

# ldap-client

## Description

Application service needs interact with a LDAP server.

## Variables

### Général (*general*)

#### Annuaire OpenLDAP (*general.annuaire*)

##### Serveur (*general.annuaire.server*)

| Description                                                                            | Type                                                                                                                       | Supplier   |
|----------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|------------|
| **Nom DNS du serveur LDAP** (*[ldap_server_address](dictionaries/21_ldap-client.xml)*) | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | LDAP       |

##### Client (*general.annuaire.client*)

| Description                                                                                                                      | Type                                                                                                                      | Supplier     | Values       |
|----------------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------------------------------------------------------------------|--------------|--------------|
| Nom de la famille LDAP (*[ldapclient_family](dictionaries/21_ldap-client.xml)*)                                                  | [unix_user](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | LDAP:family  |              |
| **Base DN de l'annuaire** (*[ldapclient_base_dn](dictionaries/21_ldap-client.xml)*)                                              | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)    | LDAP:base_dn | <calculated> |
| **Base DN de l'annuaire des utilisateurs** (*[ldapclient_search_dn](dictionaries/21_ldap-client.xml)*)                           | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)    |              | <calculated> |
| **Base DN de l'annuaire des groupes** (*[ldapclient_group_dn](dictionaries/21_ldap-client.xml)*)                                 | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)    |              | <calculated> |
| **Base DN de l'annuaire des utilisateurs n'appartenant à une famille** (*[ldapclient_user_dn](dictionaries/21_ldap-client.xml)*) | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)    |              | <calculated> |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Used by

- [odoo](../odoo/README.md)
- [piwigo](../piwigo/README.md)
- [dovecot](../dovecot/README.md)
- [roundcube](../roundcube/README.md)
- [nextcloud](../nextcloud/README.md)
- [lemonldap](../lemonldap/README.md)
- [openldap](../openldap/README.md)

## Provider

[openldap](../openldap/README.md)

[All applications services for this dataset.](../README.md)
