---
gitea: none
include_toc: true
---

# lemonldap

## Description

LemonLDAP, a Web Single Sign On and Access Management.

[For more informations](https://lemonldap-ng.org/)

## Dependances

- [ldap-client](../ldap-client/README.md)
- [relay-mail-client](../relay-mail-client/README.md)
- [nginx-https](../nginx-https/README.md)
  - [nginx-common](../nginx-common/README.md)
  - [reverse-proxy-client](../reverse-proxy-client/README.md)
- [base-debian-bullseye](../base-debian-bullseye/README.md)
  - [base-debian](../base-debian/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)

## Variables

### Général (*general*)

#### nginx (*general.nginx*)

| Description                                                   | Values   |
|---------------------------------------------------------------|----------|
| *[**nginx_default_https**](dictionaries/70_lemonldap_ng.xml)* | False    |

#### LemonLDAP (*general.lemonldap*)

Configuration de la solution d'authentification unique LemonLDAP::NG

| Description                                                                                                                        | Type                                                                                                                   | Values   |
|------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------|----------|
| **Nombre de processus dédié à LemonLdap (équivalent au nombre de processeurs)** (*[lemon_proc](dictionaries/70_lemonldap_ng.xml)*) | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | 1        |
| **Courriel de l'administrateur** (*[lemon_mail_admin](dictionaries/70_lemonldap_ng.xml)*)                                          | [mail](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   |          |

#### annuaire (*general.annuaire*)

##### client (*general.annuaire.client*)

| Description                                                 | Values   |
|-------------------------------------------------------------|----------|
| *[**ldapclient_family**](dictionaries/70_lemonldap_ng.xml)* | all      |

### Oauth2 (*oauth2*)

| Description                                                                                    | Type                                                                                                                       | Provider   | Values       | Supplier     |
|------------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|------------|--------------|--------------|
| Remote clients needing to verify OAuth2 account (*[remotes](extras/oauth2/00_oauth2.xml)*) [+] | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | OAuth2     |              |              |
| Remote clients (*[clients](extras/oauth2/00_oauth2.xml)*) [+]                                  | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |            | <calculated> | OAuth2Client |

#### OAuth2 for  (*oauth2.oauth2_*)

This a dynamic family generated from the variable "oauth2.remotes".

##### external_ (*oauth2.oauth2_.external_*)

This a family is a leadership.

| Description                                                        | Provider        |
|--------------------------------------------------------------------|-----------------|
| Remote external for  (*[hosts_](extras/oauth2/00_oauth2.xml)*) [+] | OAuth2:external |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Supplier

[oauth2-client](../oauth2-client/README.md)

## Provider

[oauth2-client](../oauth2-client/README.md)

[All applications services for this dataset.](../README.md)
