---
gitea: none
include_toc: true
---

# mailman

## Description

GNU Mailman, managing electronic mail discussion and e-newsletter lists.

[For more informations](https://www.list.org)

## Dependances

- [base-debian-bullseye](../base-debian-bullseye/README.md)
  - [base-debian](../base-debian/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)
- [postgresql-client](../postgresql-client/README.md)
- [relay-lmtp-client](../relay-lmtp-client/README.md)
  - [relay-mail-client](../relay-mail-client/README.md)
- [reverse-proxy-client](../reverse-proxy-client/README.md)
- [nginx-https](../nginx-https/README.md)
  - [nginx-common](../nginx-common/README.md)
  - [reverse-proxy-client](../reverse-proxy-client/README.md)
- [oauth2-client](../oauth2-client/README.md)

## Variables

### Général (*general*)

#### Gestionnaire de liste (*general.mailman*)

| Description                                                                                     | Type                                                                                                                       |
|-------------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|
| Courriel du gestionnaire de liste du site (*[mailman_mail_owner](dictionaries/31_mailman.xml)*) | [mail](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)       |
| **Nom de domaine des listes** (*[mailman_domains](dictionaries/31_mailman.xml)*) [+]            | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |

#### oauth2_client (*general.oauth2_client*)

| Description                                                             | Values                        |
|-------------------------------------------------------------------------|-------------------------------|
| *[**oauth2_is_client_application**](dictionaries/31_mailman.xml)*       | True                          |
| *[**oauth2_client_name**](dictionaries/31_mailman.xml)*                 | Liste de distribution         |
| *[**oauth2_client_description**](dictionaries/31_mailman.xml)*          | Liste de distribution Mailman |
| *[**oauth2_client_category**](dictionaries/31_mailman.xml)*             | Développement                 |
| *[**oauth2_client_logo**](dictionaries/31_mailman.xml)*                 | silique_email.png             |
| *[**oauth2_client_token_signature_algo**](dictionaries/31_mailman.xml)* | RS256                         |

##### external (*general.oauth2_client.external*)

| Description                                             | Values       |
|---------------------------------------------------------|--------------|
| *[oauth2_client_external](dictionaries/31_mailman.xml)* | <calculated> |

#### nginx (*general.nginx*)

| Description                                              | Values                       |
|----------------------------------------------------------|------------------------------|
| *[**nginx_default_https**](dictionaries/31_mailman.xml)* | False                        |
| *[**nginx_root**](dictionaries/31_mailman.xml)*          | /usr/share/webapps/postorius |

#### postgresql (*general.postgresql*)

| Description                                              | Values   |
|----------------------------------------------------------|----------|
| *[**pg_client_key_owner**](dictionaries/31_mailman.xml)* | list     |

### Mailman (*mailman*)

#### Listes du domaine  (*mailman.list_*)

This a dynamic family generated from the variable "general.mailman.mailman_domains".

| Description                                                        | Type                                                                                                                      |
|--------------------------------------------------------------------|---------------------------------------------------------------------------------------------------------------------------|
| **Nom des listes ** (*[name_](extras/mailman/20_mailman.xml)*) [+] | [unix_user](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |

### Machine (*machine*)

| Description                                     |   Values |
|-------------------------------------------------|----------|
| *[**var_size**](extras/machine/20_mailman.xml)* |      256 |
| *[**add_tmp**](extras/machine/20_mailman.xml)*  |    False |
| *[**add_swap**](extras/machine/20_mailman.xml)* |    False |


- [+]: variable is multiple
- **bold**: variable is mandatory

[All applications services for this dataset.](../README.md)
