---
gitea: none
include_toc: true
---

# nginx-reverse-proxy

## Description

Nginx as reverse proxy.

[For more informations](https://nginx.org/)

## Dependances

- [nginx-common](../nginx-common/README.md)
- [base-fedora-37](../base-fedora-37/README.md)
  - [base-fedora](../base-fedora/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)

## Variables

### Général (*general*)

#### network (*general.network*)

| Description                                           | Values      |
|-------------------------------------------------------|-------------|
| *[**incoming_ports**](dictionaries/25_nginx.xml)* [+] | 80<br />443 |

#### NGINX (*general.nginx*)

Paramétrage global de NGINX

| Description                                                                                                                              | Type                                                                                                                   | Values       | Choices                    |
|------------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------|--------------|----------------------------|
| **Autorité de certification signant le certificat des domaines extérieurs** (*[nginx_certificates_provider](dictionaries/25_nginx.xml)*) | [choice](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | autosigne    | autosigne<br />letsencrypt |
| *[**nginx_default**](dictionaries/25_nginx.xml)*                                                                                         | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | <calculated> |                            |
| *[**nginx_default_http**](dictionaries/25_nginx.xml)*                                                                                    | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | False        |                            |
| *[**nginx_default_https**](dictionaries/25_nginx.xml)*                                                                                   | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | False        |                            |

### Machine (*machine*)

| Description                                           |   Values |
|-------------------------------------------------------|----------|
| *[**var_size**](extras/machine/20_reverse_proxy.xml)* |      256 |
| *[**add_tmp**](extras/machine/20_reverse_proxy.xml)*  |    False |
| *[**add_srv**](extras/machine/20_reverse_proxy.xml)*  |    False |
| *[**add_swap**](extras/machine/20_reverse_proxy.xml)* |    False |

### Nginx (*nginx*)

| Description                                                                                      | Type                                                                                                                       | Provider     |
|--------------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|--------------|
| Nom des domaines dans le serveur mandataire inverse (*[remotes](extras/nginx/00_nginx.xml)*) [+] | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | ReverseProxy |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Supplier

[reverse-proxy-client](../reverse-proxy-client/README.md)

[All applications services for this dataset.](../README.md)
