---
gitea: none
include_toc: true
---

# odoo

## Description

Odoo, an ERP and CRM.

[For more informations](https://www.odoo.com/fr)

## Dependances

- [base-debian-bullseye](../base-debian-bullseye/README.md)
  - [base-debian](../base-debian/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)
- [postgresql-client](../postgresql-client/README.md)
- [reverse-proxy-client](../reverse-proxy-client/README.md)
- [relay-mail-client](../relay-mail-client/README.md)
- [ldap-client](../ldap-client/README.md)
- [oauth2-client](../oauth2-client/README.md)
- [nginx-https](../nginx-https/README.md)
  - [nginx-common](../nginx-common/README.md)
  - [reverse-proxy-client](../reverse-proxy-client/README.md)

## Variables

### Général (*general*)

#### Odoo (*general.odoo*)

| Description                                                                               | Type                                                                                                                     | Values                                                                                        | Choices                                    |
|-------------------------------------------------------------------------------------------|--------------------------------------------------------------------------------------------------------------------------|-----------------------------------------------------------------------------------------------|--------------------------------------------|
| **Adresse courriel de l'administrateur** (*[odoo_admin_email](dictionaries/40_odoo.xml)*) | [mail](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     |                                                                                               |                                            |
| **Nom** (*[odoo_company_name](dictionaries/40_odoo.xml)*)                                 | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   |                                                                                               |                                            |
| **Adresse** (*[odoo_company_street](dictionaries/40_odoo.xml)*)                           | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   |                                                                                               |                                            |
| **Ville** (*[odoo_company_city](dictionaries/40_odoo.xml)*)                               | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   |                                                                                               |                                            |
| **Code postal** (*[odoo_company_zip](dictionaries/40_odoo.xml)*)                          | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   |                                                                                               |                                            |
| **Numéro TVA** (*[odoo_company_vat](dictionaries/40_odoo.xml)*)                           | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   |                                                                                               |                                            |
| **Registre de la société** (*[odoo_company_registry](dictionaries/40_odoo.xml)*)          | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   |                                                                                               |                                            |
| Numéro de téléphone (*[odoo_company_phone](dictionaries/40_odoo.xml)*)                    | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   |                                                                                               |                                            |
| Numéro de téléphone mobile (*[odoo_company_mobile](dictionaries/40_odoo.xml)*)            | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   |                                                                                               |                                            |
| **Adresse courriel** (*[odoo_company_email](dictionaries/40_odoo.xml)*)                   | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   |                                                                                               |                                            |
| **Site internet** (*[odoo_company_website](dictionaries/40_odoo.xml)*)                    | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   |                                                                                               |                                            |
| **Chemin du logo** (*[odoo_company_logo](dictionaries/40_odoo.xml)*)                      | [filename](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |                                                                                               |                                            |
| **Pied de page des documents** (*[odoo_company_footer](dictionaries/40_odoo.xml)*)        | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   |                                                                                               |                                            |
| **Agencement des documents** (*[odoo_company_layout](dictionaries/40_odoo.xml)*)          | [choice](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | standard                                                                                      | standard<br />bold<br />boxed<br />striped |
| **Liste des applications à activer** (*[odoo_addons](dictionaries/40_odoo.xml)*) [+]      | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | base<br />l10n_fr<br />l10n_fr_fec<br />account<br />hr<br />hr_contract<br />sale_management |                                            |

#### postgresql (*general.postgresql*)

| Description                                           | Values   |
|-------------------------------------------------------|----------|
| *[**pg_client_key_owner**](dictionaries/40_odoo.xml)* | odoo     |

#### oauth2_client (*general.oauth2_client*)

| Description                                                    | Values           |
|----------------------------------------------------------------|------------------|
| *[**oauth2_is_client_application**](dictionaries/40_odoo.xml)* | True             |
| *[**oauth2_client_name**](dictionaries/40_odoo.xml)*           | ERP              |
| *[**oauth2_client_description**](dictionaries/40_odoo.xml)*    | ERP Odoo         |
| *[**oauth2_client_category**](dictionaries/40_odoo.xml)*       | Entreprise       |
| *[**oauth2_client_logo**](dictionaries/40_odoo.xml)*           | silique_note.png |

##### external (*general.oauth2_client.external*)

| Description                                              |
|----------------------------------------------------------|
| *[oauth2_client_external](dictionaries/40_odoo.xml)* [+] |
| *[oauth2_client_family](dictionaries/40_odoo.xml)* [+]   |

#### annuaire (*general.annuaire*)

##### client (*general.annuaire.client*)

| Description                                           | Values   |
|-------------------------------------------------------|----------|
| *[**ldap_key_file_owner**](dictionaries/40_odoo.xml)* | odoo     |


- [+]: variable is multiple
- **bold**: variable is mandatory

[All applications services for this dataset.](../README.md)
