---
gitea: none
include_toc: true
---

# postfix-relay

## Description

Postfix, the mail server, as relay.

[For more informations](http://www.postfix.org/)

## Dependances

- [base-fedora-35](../base-fedora-35/README.md)
  - [base-fedora](../base-fedora/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)
- [dns-external](../dns-external/README.md)
- [postfix-lmtp-relay](../postfix-lmtp-relay/README.md)

## Variables

### Général (*general*)

#### network (*general.network*)

| Description                                         |   Values |
|-----------------------------------------------------|----------|
| *[**outgoing_ports**](dictionaries/30_postfix.xml)* |       25 |
| *[**incoming_ports**](dictionaries/30_postfix.xml)* |       25 |

#### Postfix mail server (*general.postfix*)

| Description                                                                                                                      | Type                                                                                                                       | Values    | Choices                    | Provider   |
|----------------------------------------------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|-----------|----------------------------|------------|
| **Nom de domaine extérieur du serveur de courriel** (*[postfix_mail_hostname](dictionaries/30_postfix.xml)*)                     | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |           |                            |            |
| **Autorité de certification signant le certificat du domaine extérieur** (*[postfix_crt_provider](dictionaries/30_postfix.xml)*) | [choice](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     | autosigne | autosigne<br />letsencrypt |            |
| Authentification sur le relai SMTP (*[postfix_relay_authentifications](dictionaries/30_postfix.xml)*) [+]                        | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     |           |                            | SMTP       |

##### Local server authentification (*general.postfix.local_authentification_*)

This a dynamic family generated from the variable "general.postfix.postfix_relay_authentifications".

| Description                                                       | Type                                                                                                                   | Provider      |
|-------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------|---------------|
| *[local_authentification_password_](dictionaries/30_postfix.xml)* | [secret](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | SMTP:password |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Supplier

[relay-mail-client](../relay-mail-client/README.md)

[All applications services for this dataset.](../README.md)
