---
gitea: none
include_toc: true
---

# provider-systemd-machined

## Description

Machine started in Systemd Machined environment.

[For more informations](https://www.freedesktop.org/wiki/Software/systemd/machined/)

## Dependances

- [systemd](../systemd/README.md)
  - [base-machine](../base-machine/README.md)
    - [base](../base/README.md)
    - [dns-local](../dns-local/README.md)
    - [pki-tls](../pki-tls/README.md)

## Variables

### Général (*general*)

| Description                                                                                               | Type                                                                                                                     | Values                          |
|-----------------------------------------------------------------------------------------------------------|--------------------------------------------------------------------------------------------------------------------------|---------------------------------|
| **Nom du répertoire racine des données** (*[container_srv_path](dictionaries/16_machined.xml)*)           | [filename](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | /var/lib/risotto/srv            |
| **Nom du répertoire racine des configurations** (*[container_config_path](dictionaries/16_machined.xml)*) | [filename](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | /var/lib/risotto/configurations |
| **Nom du répertoire racine des journaux** (*[container_journal_path](dictionaries/16_machined.xml)*)      | [filename](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | /var/lib/risotto/journals       |
| *[**use_systemd_repart**](dictionaries/16_machined.xml)*                                                  | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | False                           |

#### network (*general.network*)

| Description                                                       | Values   | Supplier           |
|-------------------------------------------------------------------|----------|--------------------|
| *[**netwokd_interface_name_type**](dictionaries/16_machined.xml)* | host     |                    |
| *[zones_list](dictionaries/16_machined.xml)*                      |          | Host:machine_zones |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Provider

[host-systemd-machined](../host-systemd-machined/README.md)

[All applications services for this dataset.](../README.md)
