---
gitea: none
include_toc: true
---

# unbound

## Description

Unbound, a validating, recursive, caching DNS resolver.

[For more informations](https://www.nlnetlabs.nl/projects/unbound/about/)

## Dependances

- [dns-external](../dns-external/README.md)
- [base-fedora-37](../base-fedora-37/README.md)
  - [base-fedora](../base-fedora/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)

## Variables

### Général (*general*)

#### network (*general.network*)

| Description                                             | Values         |
|---------------------------------------------------------|----------------|
| *[ip_dns](dictionaries/20_unbound.xml)*                 | <calculated>   |
| *[**outgoing_ports**](dictionaries/20_unbound.xml)* [+] | udp:53<br />53 |

#### Résolveur DNS (*general.dns_resolver*)

| Description                                                                                          |
|------------------------------------------------------------------------------------------------------|
| **Serveur résolveur DNS par défaut** (*[unbound_default_forwards](dictionaries/20_unbound.xml)*) [+] |

##### Serveur DNS faisant autorité sur une zone particulière (*general.dns_resolver.forward_zones*)

This a family is a leadership.

| Description                                                                                        | Provider                            | Type                                                                                                                       |
|----------------------------------------------------------------------------------------------------|-------------------------------------|----------------------------------------------------------------------------------------------------------------------------|
| Adresse du serveur faisant autorité (*[unbound_forward_address](dictionaries/20_unbound.xml)*) [+] | ExternalDNS                         | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     |
| Nom de domaine de la zone (*[unbound_forward_zones](dictionaries/20_unbound.xml)*) [+]             | ExternalDNS:authority_zones         | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |
| Nom de domaine de la zone (*[unbound_forward_reverse_zones](dictionaries/20_unbound.xml)*) [+]     | ExternalDNS:reverse_authority_zones | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |

### Machine (*machine*)

| Description                                     |   Values |
|-------------------------------------------------|----------|
| *[**var_size**](extras/machine/20_unbound.xml)* |      256 |
| *[**add_tmp**](extras/machine/20_unbound.xml)*  |    False |
| *[**add_swap**](extras/machine/20_unbound.xml)* |    False |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Suppliers

- [dns-external](../dns-external/README.md)
- [nsd](../nsd/README.md)

[All applications services for this dataset.](../README.md)
