---
gitea: none
include_toc: true
---

# znc

## Description

ZNC, a bouncer IRC.

[For more informations](https://wiki.znc.in/)

## Dependances

- [base-fedora-36](../base-fedora-36/README.md)
  - [base-fedora](../base-fedora/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)
- [dns-external](../dns-external/README.md)

## Variables

### Général (*general*)

#### network (*general.network*)

| Description                                     |   Values |
|-------------------------------------------------|----------|
| *[**incoming_ports**](dictionaries/40_znc.xml)* |     5535 |

#### IRC Bouncer ZNC (*general.znc*)

| Description                                                                                                              | Type                                                                                                                       | Values    | Choices                    |
|--------------------------------------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|-----------|----------------------------|
| **Nom de domaine externe de ZNC** (*[external_domain_name](dictionaries/40_znc.xml)*)                                    | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |           |                            |
| **Autorité de certification signant le certificat du domaine extérieur** (*[znc_crt_provider](dictionaries/40_znc.xml)*) | [choice](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     | autosigne | autosigne<br />letsencrypt |
| **Utilisateur IRC et ZNC** (*[user_name](dictionaries/40_znc.xml)*)                                                      | [unix_user](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)  |           |                            |
| **Mot de passe de l'utilisateur ZNC** (*[user_password](dictionaries/40_znc.xml)*)                                       | [password](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   |           |                            |
| **Nom d'utilisateur réel** (*[real_name](dictionaries/40_znc.xml)*)                                                      | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     |           |                            |

##### Serveurs IRC (*general.znc.servers*)

This a family is a leadership.

| Description                                                                                  | Type                                                                                                                       |
|----------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|
| **Adresse du serveur IRC** (*[server_names](dictionaries/40_znc.xml)*) [+]                   | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |
| **Mot de passe de l'utilisateur sur le serveur IRC** (*[password](dictionaries/40_znc.xml)*) | [password](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   |
| **Nom des salons du serveur IRC** (*[channels](dictionaries/40_znc.xml)*) [+]                | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     |

### Machine (*machine*)

| Description                                     |   Values |
|-------------------------------------------------|----------|
| *[**var_size**](extras/machine/20_unbound.xml)* |      256 |
| *[**add_tmp**](extras/machine/20_unbound.xml)*  |    False |
| *[**add_swap**](extras/machine/20_unbound.xml)* |    False |


- [+]: variable is multiple
- **bold**: variable is mandatory

[All applications services for this dataset.](../README.md)
